FXViewStatusListener
Keywords: com.fg.xmleditor.FXViewStatusListener interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.fg.xmleditor
Interface FXViewStatusListener

All Superinterfaces:
  java.util.EventListener

public interface FXViewStatusListener
extends java.util.EventListener

The listener that's notified of changes of the following status values of the `FXBasicView` component: `"canInsert", "canRemove", "canMoveUp", "canMoveDown"`.

Version:
  1.0
Author:
  Felix Golubov
See Also:
  `FXBasicView.canInsert()`, `FXBasicView.canRemove()`, `FXBasicView.canMoveUp()`, `FXBasicView.canMoveDown()`

Method Summary
`void` | `canInsertStatusChanged(FXStatusEvent e)` Called whenever "canInsert" status of the `FXBasicView` component changes.
`void` | `canMoveDownStatusChanged(FXStatusEvent e)` Called whenever "canMoveDown" status of the `FXBasicView` component changes.
`void` | `canMoveUpStatusChanged(FXStatusEvent e)` Called whenever "canMoveUp" status of the `FXBasicView` component changes.
`void` | `canRemoveStatusChanged(FXStatusEvent e)` Called whenever "canRemove" status of the `FXBasicView` component changes.

Method Detail

### canInsertStatusChanged

    public void canInsertStatusChanged(FXStatusEvent e)

  Called whenever "canInsert" status of the `FXBasicView` component changes.

  Parameters:
    `e` - an `FXStatusEvent` object
  See Also:
    `FXBasicView.canInsert()`

### canRemoveStatusChanged

    public void canRemoveStatusChanged(FXStatusEvent e)

  Called whenever "canRemove" status of the `FXBasicView` component changes.

  Parameters:
    `e` - an `FXStatusEvent` object
  See Also:
    `FXBasicView.canRemove()`

### canMoveUpStatusChanged

    public void canMoveUpStatusChanged(FXStatusEvent e)

  Called whenever "canMoveUp" status of the `FXBasicView` component changes.

  Parameters:
    `e` - an `FXStatusEvent` object
  See Also:
    `FXBasicView.canMoveUp()`

### canMoveDownStatusChanged

    public void canMoveDownStatusChanged(FXStatusEvent e)

  Called whenever "canMoveDown" status of the `FXBasicView` component changes.

  Parameters:
    `e` - an `FXStatusEvent` object
  See Also:
    `FXBasicView.canMoveDown()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD